## org.apache.batik.bridge
Class SVGImageElementBridge.ForwardEventListener

    java.lang.Object
      org.apache.batik.bridge.SVGImageElementBridge.ForwardEventListener

All Implemented Interfaces:
  EventListener

Enclosing class:
  SVGImageElementBridge

    protected static class SVGImageElementBridge.ForwardEventListener

extends java.lang.Object
implements EventListener

A simple DOM listener to forward events from the SVG image document to the original document.

Field Summary
`protected org.w3c.dom.Element` `imgElement` The image element.
`protected org.w3c.dom.Element` `svgElement` The root element of the SVG image.

Constructor Summary
`SVGImageElementBridge.ForwardEventListener(org.w3c.dom.Element svgElement, org.w3c.dom.Element imgElement)` Constructs a new `ForwardEventListener`

Method Summary
`void` `handleEvent(Event e)` This method is called whenever an event occurs of the event type for which the `EventListener` interface was registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### svgElement

    protected org.w3c.dom.Element svgElement

  The root element of the SVG image.

### imgElement

    protected org.w3c.dom.Element imgElement

  The image element.

Constructor Detail

### SVGImageElementBridge.ForwardEventListener

    public SVGImageElementBridge.ForwardEventListener(org.w3c.dom.Element svgElement,
                                                      org.w3c.dom.Element imgElement)

  Constructs a new `ForwardEventListener`

Method Detail

### handleEvent

    public void handleEvent(Event e)

  Description copied from interface: `EventListener`
  This method is called whenever an event occurs of the event type for which the `EventListener` interface was registered.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `e` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.